#include <iostream>
using namespace std;

class B1 {
public:
	B1(){cout << "B1のコンストラクタの呼び出し\n";}
	~B1(){cout << "B1のデストラクタの呼び出し\n";}
};

class B2 {
public:
	B2(){cout << "B2のコンストラクタの呼び出し\n";}
	~B2(){cout << "B2のデストラクタの呼び出し\n";}
};

class D : public B1, public B2 {
public:
	D(){cout << "Dのコンストラクタの呼び出し\n";}
	~D(){cout << "Dのデストラクタの呼び出し\n";}
};

int main()
{
	D ob;
	return 0;
}